"Error: (code 99) An internal error occurred" when pushing overlay via Director.


<< Back to Knowledge Search

Solution

Overview

When pushing overlay in Director running SGME 5.3.1.x (x is < 4) and ProxySG is running SGOS 5.3.3.y, you might encounter either the following error message under Job Report > CLI Response
"An internal error occurred" or
"Error: (code 99) An internal error occurred"
To verify if you are hitting the documented compatibility issue, remove the VPM from the overlay and refresh overlay followed by an overlay push.  If no error is returned, then the problem is due to the compatibility issue where SGME 5.3.1.x (x is < 4) is not compatible with SGOS 5.3.3.y.

Cause
Resolution

If you are using Director 510, the resolution is to upgrade to SGME 5.4.x or later.  If you are using Director 800, the upgrade path is to SGME 5.3.1.4, which is a patch release.  SGME 5.4.x is not supported on Director 800.

SGME 5.3.x (except SGME 5.3.1.4) release notes have documentation error where SGME 5.3.1.x  (x is < 4) incompatibility with SGOS 5.3.3.y is not documented.

IMPORTANT: After upgrading to SGME 5.3.1.4 or SGME5.4.x or later versions:

1. Remove the VPM from the overlay and refresh overlay.

2. Add the VPM back to the overlay and refresh overlay.

3. Perform any push overlay if required (if there is anything under the overlay definition that has changed).

Without the above steps, you might continue to encounter the error message as specified in problem description.

 

Workaround
Additional Information
Bug Number
InQuira Doc IdKB3152
Attachment

Article Feedback

Hide Properties
First Published      10/01/2014
Last Modified      10/01/2014
Last Published      10/01/2014
Article Audience
Product      Director 510, ProxySG
Software      SGOS 5.3
Topic      Director Jobs, Policy Management
Article Number      000009299
Summary     
Was this helpful?
Comments:
 
Previous MonthNext Month
SunMonTueWedThuFriSat